{extends file=$smarty.const.SMARTY_LAYOUT_MAIN_GENERAL_PAGINATED_LISTING}

{block name="css"}
	{$CSS->load("{asset path="_css/index.css"}")}
{/block}

{block name="template-head" append}
	{$JS->loadGroup("remoteHtmlView")}
	{$CSS->loadGroup("remoteHtmlView")}
{/block}

{block name="js" append}

	<script type="text/javascript">

		MVC.scheduleOnLoad(function(){
			
			// deactivate one item
			MVC.listing.prototype.unblockCurrent = function(element) {
				this.backend_callUpdateOperation('unblock', {
					'listing[selection][add][]' :	this.getItemId(element),
					'listing[selection][clear]' :	'all'
				})
			}
			
			MVC.listing.prototype.unblockSelectedWithConfirmation = function(element){
				MVC.callbackWithConfirmation(
					"{$lang['unblock']['title']}",
					"{$lang['unblock']['confirmation']}",
					this.backend_callUpdateOperation.bind(this, 'unblock', null, element)
				);
			}
		});

	</script>
{/block}

